# Validate the LegalTags

Validate a list of LegalTags. For invalid tags, the reason of invalidity will also be returned. A maximum of 25 can be retrieved at once. Allowed roles: users.datalake.viewers, users.datalake.editors, users.datalake.admins

Endpoint: POST /legaltags:validate
Version: 1.0.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `data-partition-id` (string, required)
    desired data partition id

## Request fields (application/json):

  - `names` (array, required)
    The name of all the LegalTags to retrieve.

## Response 200:

  - `200` (unknown)
    Retrieved LegalTag names with reason successfully.

## Response 200 fields (application/json):

  - `invalidLegalTags` (array)
    A collection of invalid LegalTags.

  - `invalidLegalTags.name` (string)
    The name of the LegalTag.

  - `invalidLegalTags.reason` (string)
    The reason the LegalTag is currently invalid.

## Response 400:

  - `400` (unknown)
    Invalid parameters were given on request.

## Response 400 fields (application/json):

  - `code` (integer)

  - `reason` (string)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `code` (integer)

  - `reason` (string)

  - `message` (string)

